Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl
Class TaskContentServiceImpl

    java.lang.Object
      org.jbpm.services.task.impl.TaskContentServiceImpl

All Implemented Interfaces:
  org.kie.internal.task.api.TaskContentService

    public class TaskContentServiceImpl

extends Object
implements org.kie.internal.task.api.TaskContentService

Constructor Summary
`TaskContentServiceImpl()`
`TaskContentServiceImpl(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)`

Method Summary
`long` | `addContent(long taskId, Content content)`
`long` | `addContent(long taskId, Map<String,Object> params)`
`void` | `addMarshallerContext(String ownerId, org.kie.internal.task.api.ContentMarshallerContext context)`
`void` | `deleteContent(long taskId, long contentId)`
`List<Content>` | `getAllContentByTaskId(long taskId)`
`Content` | `getContentById(long contentId)`
`org.kie.internal.task.api.ContentMarshallerContext` | `getMarshallerContext(Task task)`
`void` | `removeMarshallerContext(String ownerId)`
`void` | `setPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskContentServiceImpl

    public TaskContentServiceImpl()

### TaskContentServiceImpl

    public TaskContentServiceImpl(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

Method Detail

### setPersistenceContext

    public void setPersistenceContext(org.kie.internal.task.api.TaskPersistenceContext persistenceContext)

### addContent

    public long addContent(long taskId,
                           Map<String,Object> params)

  Specified by:
    `addContent` in interface `org.kie.internal.task.api.TaskContentService`

### addContent

    public long addContent(long taskId,
                           Content content)

  Specified by:
    `addContent` in interface `org.kie.internal.task.api.TaskContentService`

### deleteContent

    public void deleteContent(long taskId,
                              long contentId)

  Specified by:
    `deleteContent` in interface `org.kie.internal.task.api.TaskContentService`

### getAllContentByTaskId

    public List<Content> getAllContentByTaskId(long taskId)

  Specified by:
    `getAllContentByTaskId` in interface `org.kie.internal.task.api.TaskContentService`

### getContentById

    public Content getContentById(long contentId)

  Specified by:
    `getContentById` in interface `org.kie.internal.task.api.TaskContentService`

### addMarshallerContext

    public void addMarshallerContext(String ownerId,
                                     org.kie.internal.task.api.ContentMarshallerContext context)

  Specified by:
    `addMarshallerContext` in interface `org.kie.internal.task.api.TaskContentService`

### removeMarshallerContext

    public void removeMarshallerContext(String ownerId)

  Specified by:
    `removeMarshallerContext` in interface `org.kie.internal.task.api.TaskContentService`

### getMarshallerContext

    public org.kie.internal.task.api.ContentMarshallerContext getMarshallerContext(Task task)

  Specified by:
    `getMarshallerContext` in interface `org.kie.internal.task.api.TaskContentService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.